# This file created by conda-build 3.18.11
# meta.yaml template originally from:
# /tmp/build/80754af9/rsync-recipes/prompt_toolkit-3.0.2-on-linux_64, last modified Tue Dec  3 16:44:15 2019
# ------------------------------------------------

package:
    name: prompt_toolkit
    version: 3.0.2
source:
    sha256: 63daee79aa8366c8f1c637f1a4876b890da5fc92a19ebd2f7080ebacb901e990
    url: https://pypi.io/packages/source/p/prompt_toolkit/prompt_toolkit-3.0.2.tar.gz
build:
    noarch: python
    number: '0'
    script: /tmp/build/80754af9/prompt_toolkit_1575391566553/_h_env_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold/bin/python
        -m pip install . --no-deps -vv
    string: py_0
requirements:
    host:
        - _libgcc_mutex 0.1 main
        - ca-certificates 2019.10.16 0
        - certifi 2019.9.11 py38_0
        - libedit 3.1.20181209 hc058e9b_0
        - libffi 3.2.1 hd88cf55_4
        - libgcc-ng 9.1.0 hdf63c60_0
        - libstdcxx-ng 9.1.0 hdf63c60_0
        - ncurses 6.1 he6710b0_1
        - openssl 1.1.1d h7b6447c_3
        - pip 19.3.1 py38_0
        - python 3.8.0 h0371630_2
        - readline 7.0 h7b6447c_5
        - setuptools 42.0.1 py38_0
        - sqlite 3.30.1 h7b6447c_0
        - tk 8.6.8 hbc83047_0
        - wheel 0.33.6 py38_0
        - xz 5.2.4 h14c3975_4
        - zlib 1.2.11 h7b6447c_3
    run:
        - pygments
        - python >=3.6
        - six >=1.9.0
        - wcwidth
test:
    imports:
        - prompt_toolkit
        - prompt_toolkit.clipboard
        - prompt_toolkit.contrib
        - prompt_toolkit.contrib.completers
        - prompt_toolkit.contrib.regular_languages
        - prompt_toolkit.eventloop
        - prompt_toolkit.filters
        - prompt_toolkit.key_binding
        - prompt_toolkit.key_binding.bindings
        - prompt_toolkit.layout
about:
    description: 'prompt_toolkit is a library for building powerful interactive command

        lines and terminal applications in Python. It can be a pure Python

        replacement for GNU readline, but it can be much more than that.

        '
    dev_url: https://github.com/jonathanslenders/python-prompt-toolkit
    doc_url: http://python-prompt-toolkit.readthedocs.io
    home: https://github.com/jonathanslenders/python-prompt-toolkit
    license: BSD-3-Clause
    license_file: LICENSE
    summary: Library for building powerful interactive command lines in Python
extra:
    copy_test_source_files: true
    final: true
    recipe-maintainers:
        - asmeurer
        - jakirkham
        - ocefpaf
        - scopatz
